# $Revision: 1.19 $, $Date: 2012/01/12 17:30:22 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	YAML
%define		pnam	Syck
Summary:	YAML::Syck - fast, lightweight YAML loader and dumper
Summary(pl.UTF-8):	YAML::Syck - szybki, lekki moduł do wczytywania i zrzucania YAML-a
Name:		perl-YAML-Syck
Version:	1.19
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/YAML/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	1d6dbb1d5a9160356f8563ac113e298f
URL:		http://search.cpan.org/dist/YAML-Syck/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-YAML >= 0.60
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.

NOTE: If you are working with other language's YAML/Syck bindings
(such as Ruby), please set $YAML::Syck::ImplicitTyping to 1 before
calling the Load/Dump functions. The default setting is for preserving
backward-compatibility with YAML.pm.

%description -l pl.UTF-8
Ten moduł udostępnia perlowy interfejs do biblioteki serializacji
danych libsyck. Eksportuje funkcje Dump i Load do przekształcania
perlowych struktur danych na łańcuchy YAML i z powrotem.

Uwaga: jeśli pracujemy z dowiązaniami YAML/Sych dla innego języka
(np. Ruby), należy ustawić $YAML::Syck::ImplicitTyping na 1 przed
wywołaniem funkcji Load/Dump. Domyślne ustawienie jest dla zachowania
wstecznej zgodności z YAML.pm.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{perl_vendorarch}/YAML/Syck.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorarch}/YAML
%{perl_vendorarch}/YAML/*.pm
%dir %{perl_vendorarch}/JSON
%{perl_vendorarch}/JSON/Syck.pm
%dir %{perl_vendorarch}/YAML/Dumper
%{perl_vendorarch}/YAML/Dumper/Syck.pm
%dir %{perl_vendorarch}/YAML/Loader
%{perl_vendorarch}/YAML/Loader/Syck.pm
%dir %{perl_vendorarch}/auto/YAML
%dir %{perl_vendorarch}/auto/YAML/Syck
%{perl_vendorarch}/auto/YAML/Syck/*.bs
%attr(755,root,root) %{perl_vendorarch}/auto/YAML/Syck/*.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-YAML-Syck.spec,v $
Revision 1.19  2012/01/12 17:30:22  zbyniu
- up to 1.19

Revision 1.18  2011/03/22 08:28:17  caleb
- Up to 1.17

Revision 1.17  2010/11/08 19:28:32  shadzik
- rel 3

Revision 1.16  2010/06/06 05:33:17  arekm
- release 2

Revision 1.15  2009/10/08 11:46:24  amateja
- updated to 1.07

Revision 1.14  2009/02/26 12:48:24  radek
- version 1.05

Revision 1.13  2008-02-16 21:35:59  radek
- version 1.04

Revision 1.12  2008-02-10 12:24:40  arekm
- rel 2

Revision 1.11  2008-01-10 08:38:42  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.10  2007-12-24 02:37:53  zbyniu
- up to 1.00

Revision 1.9  2007-09-17 08:27:36  adamg
- autoupdated to 0.97

Revision 1.8  2007/05/29 22:43:07  qboosh
- generic URL

Revision 1.7  2007/05/29 21:49:04  agaran
- up to 0.85, rel 1, builds here

Revision 1.6  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.4  2006/10/20 16:51:17  ankry
- 0.71

Revision 1.3  2006/09/25 13:16:29  undefine
- autoupdated to 0.66

Revision 1.2  2006/07/26 19:08:56  qboosh
- pl

Revision 1.1  2006/07/25 21:36:33  glen
- new
